@model IEnumerable<FERZid.Models.Serviser>

@{
    ViewData["Title"] = "Popis servisera";
}

<h2>Popis servisera</h2>
<hr />

<a style="margin-bottom:20px"class="btn btn-success btn" asp-action="Create" title="Dodaj"><span class="glyphicon glyphicon-plus"></span> Dodaj servisera</a>
<br />
<table class="table table-striped" id="tableServiseri">
    <thead>
        <tr>
                <th>
                  Serviser
                </th>
                <th>
                    OIB
                </th>
                <th>
                   Email adresa
                </th>
                <th>
                   Sjediste
                </th>
                <th>
                   Ziroracun
                </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Ime) @Html.DisplayFor(modelItem => item.Prezime)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Oib)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Email)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Sjediste)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Ziroracun)
            </td>
            <td>
                <div class="text-center">
                    <a asp-action="Details"
                       asp-route-id="@item.Idservisera"
                       class="btn btn-success btn-xs" title="Detalji"><span class="glyphicon glyphicon-list-alt"></span></a>
                    <a asp-action="Edit"
                       asp-route-id="@item.Idservisera"
                       class="btn btn-warning btn-xs" title="Azuriraj"><span class="glyphicon glyphicon-pencil"></span></a>
                    <a asp-action="Delete"
                       asp-route-id="@item.Idservisera"
                       class="btn btn-danger btn-xs" title="Obrisi"><span class="glyphicon glyphicon-remove"></span></a>
                </div>
</td>
        </tr>
}
    </tbody>
</table>


@section styles {
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css" />
}

@section scripts {
    <script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#tableServiseri').DataTable();
        });
    </script>
}
